#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GstPbutils.Objects.EncodingProfile where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype EncodingProfile = EncodingProfile (ManagedPtr EncodingProfile)
instance GObject EncodingProfile where
class (GObject o, O.IsDescendantOf EncodingProfile o) => IsEncodingProfile o
instance (GObject o, O.IsDescendantOf EncodingProfile o) => IsEncodingProfile o
instance O.HasParentTypes EncodingProfile
#if ENABLE_OVERLOADING
data EncodingProfileRestrictionCapsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileCopyMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileGetAllowDynamicOutputMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileGetDescriptionMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileGetFileExtensionMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileGetFormatMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileGetInputCapsMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileGetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileGetPresenceMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileGetPresetMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileGetPresetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileGetRestrictionMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileGetTypeNickMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileIsEnabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileIsEqualMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileSetAllowDynamicOutputMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileSetDescriptionMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileSetEnabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileSetFormatMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileSetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileSetPresenceMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileSetPresetMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileSetPresetNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data EncodingProfileSetRestrictionMethodInfo
#endif
