#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GstPbutils.Objects.DiscovererInfo where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype DiscovererInfo = DiscovererInfo (ManagedPtr DiscovererInfo)
instance GObject DiscovererInfo where
class (GObject o, O.IsDescendantOf DiscovererInfo o) => IsDiscovererInfo o
instance (GObject o, O.IsDescendantOf DiscovererInfo o) => IsDiscovererInfo o
instance O.HasParentTypes DiscovererInfo
#if ENABLE_OVERLOADING
data DiscovererInfoCopyMethodInfo
#endif
#if ENABLE_OVERLOADING
data DiscovererInfoGetAudioStreamsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DiscovererInfoGetContainerStreamsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DiscovererInfoGetDurationMethodInfo
#endif
#if ENABLE_OVERLOADING
data DiscovererInfoGetLiveMethodInfo
#endif
#if ENABLE_OVERLOADING
data DiscovererInfoGetMiscMethodInfo
#endif
#if ENABLE_OVERLOADING
data DiscovererInfoGetMissingElementsInstallerDetailsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DiscovererInfoGetResultMethodInfo
#endif
#if ENABLE_OVERLOADING
data DiscovererInfoGetSeekableMethodInfo
#endif
#if ENABLE_OVERLOADING
data DiscovererInfoGetStreamInfoMethodInfo
#endif
#if ENABLE_OVERLOADING
data DiscovererInfoGetStreamListMethodInfo
#endif
#if ENABLE_OVERLOADING
data DiscovererInfoGetStreamsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DiscovererInfoGetSubtitleStreamsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DiscovererInfoGetTagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DiscovererInfoGetTocMethodInfo
#endif
#if ENABLE_OVERLOADING
data DiscovererInfoGetUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data DiscovererInfoGetVideoStreamsMethodInfo
#endif
#if ENABLE_OVERLOADING
data DiscovererInfoToVariantMethodInfo
#endif
